<script>
import Empty from "@components/utils/empty-content";
import JobOfferCardList from "@components/job-offer/job-offer-card-list";

export default {
  name: "MyJobOffersCandidate",
  components: { Empty, JobOfferCardList },
  data() {
    return {
      publishedJobOffers : null,
      cardOptions : {
        editBtn : false,
        showBtn : true
      }
    }
  },
  mounted() {
    this.getJobOffers()
  },
  methods: {
    async getJobOffers() {
      this.publishedJobOffers = await this.$store.dispatch('jobOffer/getByStatus', {status : 2})
    }
  }
}
</script>

<template>

  <div>
    <div v-if="this.publishedJobOffers && this.publishedJobOffers.length !== 0">
      <job-offer-card-list :jobOffers="publishedJobOffers" :options="cardOptions"></job-offer-card-list>
    </div>
    <empty
      v-if="this.publishedJobOffers && this.publishedJobOffers.length === 0"
      title="Vous n'avez aucune offre publiée actuellement."
      icon="<i class='far fa-grin-wink'></i>"
      link="Rediger des offres"
      :route_name="{ name: 'recruitment' }"
    >
    </empty>
  </div>
</template>
